title: Outliers & Anomaly Detection
type: community
group: Time Series Analysis
image: /static/templates/outliers-anomaly-detection.png
details: |
  <h1>Select time spans identifying outliers or anomalies on time series signals</h1>
  <dl>
    <dt>Industry Applications</dt>
    <dd>fraud detection, cybersecurity, network monitoring, industrial IoT, predictive maintenance, financial trading, healthcare monitoring, quality control, equipment failure prediction, supply chain monitoring, energy grid monitoring, sensor fault detection, system health monitoring</dd>
    <dt>Associated Models</dt>
    <dd>isolation forest, one-class SVM, LSTM autoencoders, statistical process control</dd>
    <dt>Domain Terminology</dt>
    <dd>CSV, Excel, XLS, Sheet, statistical outliers, point anomalies, contextual anomalies, collective anomalies, drift detection</dd>
  </dl>
config: |
  <View>
      <!-- Object tag for time series data source -->
      <TimeSeries name="ts" valueType="url" value="$csv"
                  sep=","
                  timeColumn="time"
                  timeFormat="%Y-%m-%d %H:%M:%S.%f"
                  timeDisplayFormat="%Y-%m-%d"
                  overviewChannels="velocity">

          <Channel column="velocity"
                   units="miles/h"
                   displayFormat=",.1f"
                   strokeColor="#1f77b4"
                   legend="Velocity"/>
      </TimeSeries>

      <!-- Control tag for region labels -->
      <TimeSeriesLabels name="label" toName="ts">
          <Label value="Region" background="red" />
      </TimeSeriesLabels>

      <Choices name="region_type" toName="ts"
            perRegion="true" required="true">
          <Choice value="Outlier"/>
          <Choice value="Anomaly"/>
      </Choices>
  </View>

